Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QAccessible.Event

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QAccessible.Event

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QAccessible

    public static final class QAccessible.Event

extends java.lang.Enum
implements QtEnumerator

This enum type defines accessible event types.

See Also:
  Serialized Form

Field Summary
`static QAccessible.Event` | `AcceleratorChanged`
`static QAccessible.Event` | `Alert` A system alert (e.g., a message from a `QMessageBox`)
`static QAccessible.Event` | `ContextHelpEnd` Context help (`QWhatsThis`) for an object is finished.
`static QAccessible.Event` | `ContextHelpStart` Context help (`QWhatsThis`) for an object is initiated.
`static QAccessible.Event` | `DefaultActionChanged` The default `QAccessible::Action` for the accessible object changed
`static QAccessible.Event` | `DescriptionChanged` The objects `QAccessible::Description` changed.
`static QAccessible.Event` | `DialogEnd` A dialog (`QDialog`) is been hidden
`static QAccessible.Event` | `DialogStart` A dialog (`QDialog`) has been set visible.
`static QAccessible.Event` | `DragDropEnd` A Drag & Drop operation is about to finished.
`static QAccessible.Event` | `DragDropStart` A Drag & Drop operation is about to be initiated.
`static QAccessible.Event` | `Focus` An object has gained keyboard focus.
`static QAccessible.Event` | `ForegroundChanged` A window has been activated (i.e., a new window has gained focus on the desktop)
`static QAccessible.Event` | `HelpChanged` The `QAccessible::Help` text property of an object has changed
`static QAccessible.Event` | `LocationChanged` An objects location on the screen changed
`static QAccessible.Event` | `MenuCommand` A menu item is triggered.
`static QAccessible.Event` | `MenuEnd` A menu has been closed (Qt uses `PopupMenuEnd` for all menus)
`static QAccessible.Event` | `MenuStart` A menu has been opened on the menubar (Qt uses `PopupMenuStart` for all menus)
`static QAccessible.Event` | `NameChanged` The `QAccessible::Name` property of an object has changed
`static QAccessible.Event` | `ObjectCreated` A new object is created.
`static QAccessible.Event` | `ObjectDestroyed` An object is deleted.
`static QAccessible.Event` | `ObjectHide` An object is hidden (i.e., with `QWidget::hide()`).
`static QAccessible.Event` | `ObjectReorder` A layout or item view has added, removed, or moved an object (Qt does not use this event).
`static QAccessible.Event` | `ObjectShow` An object is displayed (i.e., with `QWidget::show()`).
`static QAccessible.Event` | `ParentChanged` An objects parent object changed.
`static QAccessible.Event` | `PopupMenuEnd` A popup menu has closed.
`static QAccessible.Event` | `PopupMenuStart` A popupmenu has opened.
`static QAccessible.Event` | `ScrollingEnd` A scrollbar scroll operation has ended (the mouse has released the slider handle)
`static QAccessible.Event` | `ScrollingStart` A scrollbar scroll operation is about to start (i.e., the mouse has pressed on the slider handle)
`static QAccessible.Event` | `Selection` The selection has changed in a menu or item view.
`static QAccessible.Event` | `SelectionAdd` An item has been added to the selection in an item view.
`static QAccessible.Event` | `SelectionRemove` An item has been removed from an item view selection.
`static QAccessible.Event` | `SelectionWithin` Several changes to a selection has occurred in an item view.
`static QAccessible.Event` | `SoundPlayed` A sound has been played by an object
`static QAccessible.Event` | `StateChanged` The QAccessible.:State of an object has changed.
`static QAccessible.Event` | `ValueChanged` The `QAccessible::Value` of an object has changed.

Method Summary
`static QAccessible.Event` | `resolve(int value)` Returns the Event constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QAccessible.Event` | `valueOf(java.lang.String name)`
`static QAccessible.Event[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### SoundPlayed

    public static final QAccessible.Event SoundPlayed

  A sound has been played by an object

### Alert

    public static final QAccessible.Event Alert

  A system alert (e.g., a message from a `QMessageBox`)

### ForegroundChanged

    public static final QAccessible.Event ForegroundChanged

  A window has been activated (i.e., a new window has gained focus on the desktop)

### MenuStart

    public static final QAccessible.Event MenuStart

  A menu has been opened on the menubar (Qt uses `PopupMenuStart` for all menus)

### MenuEnd

    public static final QAccessible.Event MenuEnd

  A menu has been closed (Qt uses `PopupMenuEnd` for all menus)

### PopupMenuStart

    public static final QAccessible.Event PopupMenuStart

  A popupmenu has opened.

### PopupMenuEnd

    public static final QAccessible.Event PopupMenuEnd

  A popup menu has closed.

### ContextHelpStart

    public static final QAccessible.Event ContextHelpStart

  Context help (`QWhatsThis`) for an object is initiated.

### ContextHelpEnd

    public static final QAccessible.Event ContextHelpEnd

  Context help (`QWhatsThis`) for an object is finished.

### DragDropStart

    public static final QAccessible.Event DragDropStart

  A Drag & Drop operation is about to be initiated.

### DragDropEnd

    public static final QAccessible.Event DragDropEnd

  A Drag & Drop operation is about to finished.

### DialogStart

    public static final QAccessible.Event DialogStart

  A dialog (`QDialog`) has been set visible.

### DialogEnd

    public static final QAccessible.Event DialogEnd

  A dialog (`QDialog`) is been hidden

### ScrollingStart

    public static final QAccessible.Event ScrollingStart

  A scrollbar scroll operation is about to start (i.e., the mouse has pressed on the slider handle)

### ScrollingEnd

    public static final QAccessible.Event ScrollingEnd

  A scrollbar scroll operation has ended (the mouse has released the slider handle)

### MenuCommand

    public static final QAccessible.Event MenuCommand

  A menu item is triggered.

### ObjectCreated

    public static final QAccessible.Event ObjectCreated

  A new object is created.

### ObjectDestroyed

    public static final QAccessible.Event ObjectDestroyed

  An object is deleted.

### ObjectShow

    public static final QAccessible.Event ObjectShow

  An object is displayed (i.e., with `QWidget::show()`).

### ObjectHide

    public static final QAccessible.Event ObjectHide

  An object is hidden (i.e., with `QWidget::hide()`). Any children the object that is hidden has do not send this event. It is not send when an object is hidden as it is being obcured by others.

### ObjectReorder

    public static final QAccessible.Event ObjectReorder

  A layout or item view has added, removed, or moved an object (Qt does not use this event).

### Focus

    public static final QAccessible.Event Focus

  An object has gained keyboard focus.

### Selection

    public static final QAccessible.Event Selection

  The selection has changed in a menu or item view.

### SelectionAdd

    public static final QAccessible.Event SelectionAdd

  An item has been added to the selection in an item view.

### SelectionRemove

    public static final QAccessible.Event SelectionRemove

  An item has been removed from an item view selection.

### SelectionWithin

    public static final QAccessible.Event SelectionWithin

  Several changes to a selection has occurred in an item view.

### StateChanged

    public static final QAccessible.Event StateChanged

  The QAccessible.:State of an object has changed.

### LocationChanged

    public static final QAccessible.Event LocationChanged

  An objects location on the screen changed

### NameChanged

    public static final QAccessible.Event NameChanged

  The `QAccessible::Name` property of an object has changed

### DescriptionChanged

    public static final QAccessible.Event DescriptionChanged

  The objects `QAccessible::Description` changed.

### ValueChanged

    public static final QAccessible.Event ValueChanged

  The `QAccessible::Value` of an object has changed.

### ParentChanged

    public static final QAccessible.Event ParentChanged

  An objects parent object changed.

### HelpChanged

    public static final QAccessible.Event HelpChanged

  The `QAccessible::Help` text property of an object has changed

### DefaultActionChanged

    public static final QAccessible.Event DefaultActionChanged

  The default `QAccessible::Action` for the accessible object changed

### AcceleratorChanged

    public static final QAccessible.Event AcceleratorChanged

Method Detail

### values

    public static QAccessible.Event[] values()

### valueOf

    public static QAccessible.Event valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QAccessible.Event resolve(int value)

  Returns the Event constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD